CVE-2007-4850

MEDIUM

Description

curl/interface.c in the cURL library (aka libcurl) in PHP 5.2.4 and 5.2.5 allows context-dependent attackers to bypass safe_mode and open_basedir restrictions and read arbitrary files via a file:// request containing a \x00 sequence, a different vulnerability than CVE-2006-2563.

References

http://cvs.php.net/viewcvs.cgi/php-src/NEWS?revision=1.2027.2.547.2.1047&view=markup

http://lists.apple.com/archives/security-announce//2008/Jul/msg00003.html

http://lists.apple.com/archives/security-announce/2008/Oct/msg00001.html

http://lists.grok.org.uk/pipermail/full-disclosure/2008-January/059849.html

http://secunia.com/advisories/30048

http://secunia.com/advisories/30411

http://secunia.com/advisories/31200

http://secunia.com/advisories/31326

http://secunia.com/advisories/32222

http://securityreason.com/achievement_securityalert/51

http://securityreason.com/securityalert/3562

http://support.apple.com/kb/HT3216

http://wiki.rpath.com/wiki/Advisories:rPSA-2008-0178

http://www.mandriva.com/security/advisories?name=MDVSA-2009:022

http://www.mandriva.com/security/advisories?name=MDVSA-2009:023

http://www.openwall.com/lists/oss-security/2008/05/02/2

http://www.php.net/ChangeLog-5.php

http://www.securityfocus.com/archive/1/486856/100/0/threaded

http://www.securityfocus.com/archive/1/492671/100/0/threaded

http://www.securityfocus.com/bid/27413

http://www.securityfocus.com/bid/29009

http://www.securityfocus.com/bid/31681

http://www.ubuntu.com/usn/usn-628-1

http://www.vupen.com/english/advisories/2008/1412

http://www.vupen.com/english/advisories/2008/2268

http://www.vupen.com/english/advisories/2008/2780

https://exchange.xforce.ibmcloud.com/vulnerabilities/39852

https://exchange.xforce.ibmcloud.com/vulnerabilities/42134

Details

Source: MITRE

Published: 2008-01-25

Updated: 2018-10-15

Type: CWE-264

Risk Information

CVSS v2.0

Base Score: 5

Vector: AV:N/AC:L/Au:N/C:P/I:N/A:N

Impact Score: 2.9

Exploitability Score: 10

Severity: MEDIUM